﻿
@using BenhVien.UI.Models;
@model IEnumerable<BenhVien.MODEL.LoaiDichVu>
@{
    /**/
    UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
    int stt = 0;

}
@if (Model != null && Model.Count() > 0)
{
    foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@(++stt)</td>
            <td class="text-center">
                <span class="">@item.MaLoaiDichVu</span>
            </td>
            <td class="text-center">
                <span class="">@item.Ten</span>
            </td>
            <td class="text-center">
                <span data-id="@item.Id" onclick="CapNhatTrangThai($(this))" style="cursor: pointer" title="Cập nhật trạng thái">
                    <i class="fa @(item.TrangThaiID == EnumStatus.ACTIVE? "fa-unlock":"fa-lock")" style="font-size:22px;"></i>
                </span>
            </td>
          
            <td class="text-center clickable-td">
                <div class="dropdown">
                    <button class="btn btn-xs btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:160px;">
                        Thao tác
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a class="btn btn-xs btn-success" style="cursor:pointer;padding-right:10px;" onclick="javascript: $('#modal-qltaikhoan').load('@Url.Action("Update","DanhMucDichVu", new { area = "QuanTri", id = item.Id})', function (e) { $('#modal-qltaikhoan').modal('show'); });"><i class="fa fa-pencil-square-o"></i> Sửa</a>

                        </li>
                        <li>
                            <a class="btn btn-xs btn-danger" data-id="@item.Id" onclick="Xoa($(this))"><i class="fa fa-trash"></i> Xóa</a>
                        </li>
                    </ul>
                </div>

            </td>
        </tr>

    }
}
<script>
    $('#idsotrang').val('@ViewBag.sotrang');
    document.getElementById("idtongsotrang").innerHTML = '@ViewBag.tongsotrang';
    document.getElementById("idtongso").innerHTML = '(' + '@ViewBag.tongso' + ')';
    $(".clickable-td").on("click", function (e) {
        //e.stopPropagation();
        $(".dropdown-toggle").dropdown();
    });

</script>

